Name:           ocamlmakefile
Version:        6.37.0
Release:        %mkrel 4
Summary:        Automated compilation of complex OCaml-projects
License:        LGPL-2.1+ with OCaml linking exception
Group:          Development/OCaml
URL:            https://bitbucket.org/mmottl/ocaml-makefile
Source0:        https://bitbucket.org/mmottl/ocaml-makefile/downloads/ocaml-makefile-%{version}.tar.gz
Source1:        README.examples.idl

%description
A general makefile for the Objective Caml programming language
OCamlMakefile is a general makefile which allows a programmer to
create quickly customized makefiles for a project written in the
Objective Caml programming language. Typically, a customized makefile
consists of the definition of a few variables, and an inclusion of
the general makefile provided by this package.

%package        doc
Summary:        Documentation and examples files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation and examples files for
developing applications that use %{name}.

%prep
%setup -q -n ocaml-makefile-%{version}
install -m 0644 %{SOURCE1} ./

%build

%install
rm -rf %{buildroot}

# OCamlMakefile
install -d -m 0755 %{buildroot}%{_datadir}/ocamlmakefile
sed -i -e "s|/usr/local/lib|/usr/lib|g" OCamlMakefile
install -m 0644 OCamlMakefile %{buildroot}%{_datadir}/ocamlmakefile/

# examples/
for d in calc camlp4 gtk idl threads; do
  sed -i -e "s|../OCamlMakefile|%{_datadir}/ocamlmakefile/OCamlMakefile|g" ./$d/Makefile;
done
cp ./README.examples.idl ./calc/README
cp ./README.examples.idl ./idl/README


%files
%doc COPYING.txt README.md CHANGES.txt
%dir %{_datadir}/ocamlmakefile
%{_datadir}/ocamlmakefile/OCamlMakefile

%files doc
%doc calc camlp4 gtk idl threads



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 6.37.0-4.mga3
+ Revision: 361746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 6.37.0-3.mga3
+ Revision: 301670
- new rpm group for ocaml

* Wed Aug 22 2012 blue_prawn <blue_prawn> 6.37.0-2.mga3
+ Revision: 283032
- updated the home-page URL
- more precise license: the "linking exception"

* Sun Aug 05 2012 malo <malo> 6.37.0-1.mga3
+ Revision: 278869
- new version 6.37.0

* Wed Mar 07 2012 malo <malo> 6.36.0-1.mga2
+ Revision: 220682
- new version 6.36.0

* Sun Dec 04 2011 malo <malo> 6.33.0-1.mga2
+ Revision: 175993
- imported package ocamlmakefile

